Summary:		Low-level interface to lzma compression library
Name:			perl-Compress-Raw-Lzma
Version:		2.206
Release:		6%{?dist}
License:		GPL+ or Artistic
URL:			https://metacpan.org/release/Compress-Raw-Lzma
Source0:		https://cpan.metacpan.org/modules/by-module/Compress/Compress-Raw-Lzma-%{version}.tar.gz

BuildRequires:	coreutils findutils gcc make perl-generators perl-interpreter
BuildRequires:	perl(Config) perl(ExtUtils::Constant) perl(File::Copy) perl(lib)
BuildRequires:	perl(File::Spec::Functions) xz-devel perl-devel
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:	perl(AutoLoader) perl(bytes) perl(Carp) perl(constant)
BuildRequires:	perl(Exporter) perl(Scalar::Util) perl(strict) perl(UNIVERSAL)
BuildRequires:	perl(warnings) perl(XSLoader) perl(File::Path) perl(Test::More)
Requires:		perl(XSLoader)
Requires:		xz-libs = %((pkg-config --modversion liblzma 2>/dev/null || echo 0) | tr -dc '[0-9.]')

%description
Compress::Raw::Lzma provides an interface to the in-memory compression/uncompression 
functions from the lzma compression library.

%prep
%autosetup -n Compress-Raw-Lzma-%{version}

rm -rv t/Test/
perl -i -ne 'print $_ unless m{^t/Test/}' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="%{optflags}"
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/Compress/
%{perl_vendorarch}/Compress/
%{_mandir}/man3/Compress::Raw::Lzma.3*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.206-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 23 2024 Rebuild Robot <rebot@opencloudos.org> - 2.206-5
- [Type] other
- [DESC] Rebuilt for xz

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.206-4
- Rebuilt for loongarch release

* Mon Jan 15 2024 rockerzhu <rockerzhu@tencent.com> - 2.206-3
- Rebuild with xz 5.4.4

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.206-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 01 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.206-1
- Upgrade to upstream version 2.206
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.201-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.201-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov  1 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.201-1
- Initial build
